Subject: Re: bug#37347: 'guix environment' fails after trying to follow the steps from "Running Guix Before It Is Installed" page

From: Bengt Richter <[email-masked]>
Date: Thu, 3 Oct 2019 20:06:12 -0700

On +2019-10-03 12:57:46 -0700, Bengt Richter wrote:
> 
> I could not get to that manual url:
> https://guix.gnu.org/manual/en/html_node/X_002e509-Certificates.html
> 
> Not with with lynx, nor
[...]

> IOW, I couldn't get to the manual.
> Am I in a DNS bubble of some kind?
> 
> If the site is just bogged down busy it shouldn't 404, right?
> Nor on some auth failure -- that should be another code, right?
> 
> Doesn't gnu.org have a little broken-link scanner for its own domain?
> 
> Does no one else encounter access problems and broken links??
> 
To be clearer, the url does not 404 when lynx tries to access
the manual URL -- the 404's were from broken links in another
page (see previous in thread).
Lynx just can't find the site for
https://guix.gnu.org/manual/en/html_node/X_002e509-Certificates.html
------------------------------------------------------------
Alert!: Unable to connect to remote host.

Looking up guix.gnu.org
Unable to locate remote host guix.gnu.org.
Alert!: Unable to connect to remote host.

lynx: Can't access startfile https://guix.gnu.org/manual/en/html_node/X_002e509-Certificates.html
[19:39 ~/bs]$ stack
https://guix.gnu.org/manual/en/html_node/X_002e509-Certificates.html[19:39 ~/bs]$
[19:39 ~/bs]$ stack;echo
https://guix.gnu.org/manual/en/html_node/X_002e509-Certificates.html
[19:40 ~/bs]$ ping guix.gnu.org
ping: guix.gnu.org: Name or service not known
[19:40 ~/bs]$ ping gnu.org
PING gnu.org (209.51.188.148) 56(84) bytes of data.
^C64 bytes from 209.51.188.148: icmp_seq=1 ttl=49 time=93.4 ms

--- gnu.org ping statistics ---
1 packets transmitted, 1 received, 0% packet loss, time 0ms
rtt min/avg/max/mdev = 93.404/93.404/93.404/0.000 ms
[19:40 ~/bs]$ su -c 'setterm -file lynx-attempt.txt -dump 4'
------------------------------------------------------------
(stack is a little hack I use to append arbitrary strings
to a datafile (with lengths on a metafile) using dd to effect
push and pop etc, so I can get around not having X running
all the time (mostly not :))

TIA again for clues.
--
Regards,
Bengt Richter